package com.unipi.talepis.demo6782;

import android.os.Handler;
import android.os.Message;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    static Handler mainhandler;
    static TextView textView;
    EditText editText;
    MyLooperThread myLooperThread;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView = findViewById(R.id.textView);
        mainhandler = new MainHandler();
        editText = findViewById(R.id.editText);
        myLooperThread = new MyLooperThread();
        myLooperThread.start();
    }
    public void go(View view){
        textView.setText("");
        if (myLooperThread.isAlive()){
            if (!editText.getText().toString().equalsIgnoreCase("")){
                Handler handler = myLooperThread.handler;
                Bundle bundle = new Bundle();
                String s = editText.getText().toString();
                bundle.putString("message",s);
                Message message = handler.obtainMessage();
                message.setData(bundle);
                handler.sendMessage(message);
            }
        }else Toast.makeText(this,"LooperThread is dead...",Toast.LENGTH_SHORT).show();
    }
    static class  MainHandler extends Handler{
        @Override
        public void handleMessage(Message msg) {
           textView.setText(textView.getText()+msg.getData().getString("message2"));
        }
    }
}
